---
id: webpage_info
title: About this webpage
---

# About this webpage

The website for @APP_NAME@ is currently hosted in @WEBPAGE_URL@. It is a [React](https://reactjs.org/) webpage
automatically generated by [Docusaurus](https://docusaurus.io/).

Pushes to the main branch trigger an automatic re-build and re-publish of the page with the latest changes (if any).
This is done with the
following [GitHub action](https://github.com/weso/rdfshape-api/blob/master/.github/workflows/publish_gh_pages.yml).

## Website edition

The website contents are located:

1. Inside the _[website](https://github.com/weso/rdfshape-api/tree/master/website) folder:_ Docusaurus
   configuration files, React pages, header/footer/sidebar contents, etc.
2. Inside the _[docs](https://github.com/weso/rdfshape-api/tree/master/docs) folder:_ Markdown files, first
   processed by [mdoc](https://scalameta.org/mdoc/) and eventually by Docusaurus to create
   the [Web Docs](https://www.weso.es/rdfshape-api/docs/).

## Website creation guidelines

### Web pages

In order to create new pages, create a JS file inside _website/src/pages_ for Docusaurus to be aware of its existence
and assign them a URL based on their location inside the _pages_ folder.

### Web docs

Create new pages using markdown syntax inside the _docs_ folder. These pages will be processed by _mdoc_ and assigned a
URL inside `/docs` by _docusaurus_ when running the task `docs/docusaurusCreateSite` from SBT.

## Issues while creating the webpage

In order to use _mdoc_ in combination with _docusaurus_, this [guide](https://scalameta.org/mdoc/docs/docusaurus.html)
was followed. However, minor issues occurred:

1. The _package.json_ had to be modified to include the script `publish-gh-pages`.
2. The [Docusaurus config file](https://github.com/weso/rdfshape-api/blob/master/website/docusaurus.config.js) had to be
   modified to indicate what the location of t2.
   The [Docusaurus config file](https://github.com/weso/rdfshape-api/blob/master/website/docusaurus.config.js) had to be
   modified to indicate what the location of the markdown files with the web docs is.he markdown files with the web docs
   is.
3. The [sidebar configuration file](https://github.com/weso/rdfshape-api/blob/master/website/sidebars.js) was modified
   to customize the sidebar that is used as navigation when browsing the web docs.